> For the complete documentation index, see [llms.txt](https://docs.carv.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.carv.io/d.a.t.a.-ai-framework/api-documentation.md).

# API Documentation

This section provides the API details for accessing on-chain data through the **D.A.T.A Framework**. Developers can interact with the Carv backend to perform SQL queries, retrieve blockchain data, and more. The API supports multiple languages, including Shell, HTTP, JavaScript, Ruby, Python, PHP, Java, and Go.

#### Base URLs

* **Carv Interface API URL:**\
  [`https://interface.carv.io/ai-agent-backend/`](https://interface.carv.io/ai-agent-backend/)

***

### **Authentication**

To access the D.A.T.A API, you will need an API key. Please visit our CARV [**Discord channel**](https://discord.gg/fVPc884by4)**,** D.A.T.A [**Discord Channel**](https://discord.gg/AYyfmhMn5K) or contacting the CARV team directly through <developer@carv.io>.

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.carv.io/d.a.t.a.-ai-framework/api-documentation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
